# meraki_content_filtering – Edit Meraki MX content filtering policies

New in version 2.8.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Allows for setting policy on content filtering.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
allowed_urls list |  | List of URL patterns which should be allowed.
auth_key string / required |  | Authentication key provided by the dashboard. Required if environmental variable MERAKI_KEY is not set.
blocked_categories list |  | List of content categories which should be blocked. Use the `meraki_content_filtering_facts` module for a full list of categories.
blocked_urls list |  | List of URL patterns which should be blocked.

category_list_size
string

Choices:
- top sites
- full list

Determines whether a network filters fo rall URLs in a category or only the list of top blocked sites.

host string | Default: "api.meraki.com" | Hostname for Meraki dashboard. Can be used to access regional Meraki environments, such as China.
internal_error_retry_time integer | Default: 60 | Number of seconds to retry if server returns an internal server error.
net_id string |  | ID number of a network.
net_name string |  | Name of a network. aliases: network
org_id string |  | ID of organization.
org_name string |  | Name of organization. aliases: organization

output_format
string

Choices:
- snakecase ←
- camelcase

Instructs module whether response keys should be snake case (ex. `net_id`) or camel case (ex. `netId`).

output_level
string

Choices:
- debug
- normal ←

Set amount of debug output during module execution.

rate_limit_retry_time integer | Default: 165 | Number of seconds to retry if rate limiter is triggered.

state
string

Choices:
- present ←
- query

States that a policy should be created or modified.

subset
string
added in 2.9

Choices:
- categories
- policy

Display only certain facts.

timeout integer | Default: 30 | Time to timeout for HTTP requests.

use_https
boolean

Choices:
- no
- yes ←

If `no`, it will use HTTP. Otherwise it will use HTTPS.
Only useful for internal Meraki developers.

use_proxy
boolean

Choices:
- no
- yes

If `no`, it will not use a proxy, even if one is defined in an environment variable on the target hosts.

validate_certs
boolean

Choices:
- no
- yes ←

Whether to validate HTTP certificates.

## Notes

Note

- More information about the Meraki API can be found at https://dashboard.meraki.com/api_docs.
- Some of the options are likely only used for developers within Meraki.
- As of Ansible 2.9, Meraki modules output keys as snake case. To use camel case, set the `ANSIBLE_MERAKI_FORMAT` environment variable to `camelcase`.
- Ansible’s Meraki modules will stop supporting camel case output in Ansible 2.13. Please update your playbooks.

## Examples

    - name: Set single allowed URL pattern
      meraki_content_filtering:
        auth_key: abc123
        org_name: YourOrg
        net_name: YourMXNet
        allowed_urls:
          - "http://www.ansible.com/*"

    - name: Set blocked URL category
      meraki_content_filtering:
        auth_key: abc123
        org_name: YourOrg
        net_name: YourMXNet
        state: present
        category_list_size: full list
        blocked_categories:
          - "Adult and Pornography"

    - name: Remove match patterns and categories
      meraki_content_filtering:
        auth_key: abc123
        org_name: YourOrg
        net_name: YourMXNet
        state: present
        category_list_size: full list
        allowed_urls: []
        blocked_urls: []

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data complex | info | Information about the created or manipulated object.
| id string | success | Identification string of network. Sample: N_12345

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Breit (@kbreit)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.